Contracts
Fulfill Condition
Mark a contract condition as fulfilled
POST
/
contracts
/
{id}
/
fulfill
Fulfill Condition
curl --request POST \
--url https://api.example.com/contracts/{id}/fulfill \
--header 'Content-Type: application/json' \
--data '
{
"conditionId": "<string>"
}
'import requests
url = "https://api.example.com/contracts/{id}/fulfill"
payload = { "conditionId": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({conditionId: '<string>'})
};
fetch('https://api.example.com/contracts/{id}/fulfill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Request
string
required
The ID of the condition to mark as fulfilled.
curl -X POST https://api.midasprotocol.org/contracts/contract-uuid/fulfill \
-H "Authorization: Bearer pp_your_key" \
-H "Content-Type: application/json" \
-d '{ "conditionId": "delivery" }'
Response
Returns the updated contract. When all conditions are fulfilled, the contract status changes toFULFILLED and escrow is released to the counterparty.
{
"id": "uuid", "status": "ACTIVE",
"conditions": [
{ "id": "delivery", "fulfilled": true, "fulfilledAt": "..." },
{ "id": "quality", "fulfilled": false }
]
}
⌘I
Fulfill Condition
